=== debian/changelog ===
firefox-esr (128.14.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-66, also known as:
    CVE-2025-9179, CVE-2025-9180, CVE-2025-9181, CVE-2025-9185.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Aug 2025 07:01:10 +0900

firefox-esr (128.13.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-58, also known as:
    CVE-2025-8027, CVE-2025-8028, CVE-2025-8029, CVE-2025-8030,
    CVE-2025-8031, CVE-2025-8032, CVE-2025-8033, CVE-2025-8034,
    CVE-2025-8035.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jul 2025 06:18:01 +0900

firefox-esr (128.12.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-53, also known as:
    CVE-2025-6424, CVE-2025-6425, CVE-2025-6429, CVE-2025-6430.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Jun 2025 06:15:00 +0900

firefox-esr (128.11.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-44, also known as:
    CVE-2025-5263, CVE-2025-5264, CVE-2025-5266, CVE-2025-5267,
    CVE-2025-5268, CVE-2025-5269.

 -- Mike Hommey <glandium@debian.org>  Wed, 28 May 2025 10:55:09 +0900

firefox-esr (128.10.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-37, also known as CVE-2025-4920, CVE-2025-4921.

 -- Mike Hommey <glandium@debian.org>  Sun, 18 May 2025 06:41:48 +0900

firefox-esr (128.10.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-29, also known as:
    CVE-2025-4083, CVE-2025-4087, CVE-2025-4091, CVE-2025-4093.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Apr 2025 07:50:47 +0900

firefox-esr (128.9.0esr-2) unstable; urgency=medium

  * debian/rules: Fix application icon names.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Apr 2025 10:53:57 +0900

firefox-esr (128.3.1esr-2) unstable; urgency=medium

  * debian/rules: Exclude -g from CXXFLAGS too. It's handled by the upstream
    build system, and leaving it there breaks the build on 32-bits platforms
    because the debug info is just too large to handle for the address space.
    That's how it was before the changes in 128.3.1esr-1 anyways.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Oct 2024 11:17:26 +0900

firefox-esr (128.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-47, also known as:
    CVE-2024-9392, CVE-2024-9393, CVE-2024-9394, CVE-2024-8900,
    CVE-2024-9396, CVE-2024-9397, CVE-2024-9398, CVE-2024-9399,
    CVE-2024-9400, CVE-2024-9401, CVE-2024-9402.

  * debian/control.in: Use rustc-web and cbindgen-web on bookworm and bullseye.
  * debian/control.in, debian/rules: Use gcc-11 on bookworm, working around
    #1056561.
  * debian/browser.mozconfig.in, debian/browser.preinst.in, debian/control.in,
    debian/l10n/browser-l10n.control, debian/l10n/browser-l10n.control.in,
    debian/l10n/gen, debian/rules, debian/upstream.mk: Remove support for
    buster.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Oct 2024 07:53:32 +0900
