## firefox-esr 140.3.0esr

=== debian/changelog ===
firefox-esr (140.3.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-75, also known as:
    CVE-2025-10527, CVE-2025-10528, CVE-2025-10529, CVE-2025-10532,
    CVE-2025-10533, CVE-2025-10536, CVE-2025-10537.

 -- Mike Hommey <glandium@debian.org>  Wed, 17 Sep 2025 08:35:15 +0900

firefox (140.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Jul 2025 07:58:40 +0900

firefox (140.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Fri, 27 Jun 2025 06:34:37 +0900

firefox (140.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-51, also known as:
    CVE-2025-6424, CVE-2025-6425, CVE-2025-6427, CVE-2025-6429,
    CVE-2025-6430, CVE-2025-6432, CVE-2025-6433, CVE-2025-6434,
    CVE-2025-6435, CVE-2025-6436.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Jun 2025 06:27:19 +0900

firefox (139.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-47, also known as: CVE-2025-49709, CVE-2025-49710.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Jun 2025 07:24:30 +0900

firefox (139.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-42, also known as:
    CVE-2025-5263, CVE-2025-5264, CVE-2025-5266, CVE-2025-5270,
    CVE-2025-5271, CVE-2025-5267, CVE-2025-5268, CVE-2025-5272.

  * debian/browser.install.in: Add crashhelper binary.

 -- Mike Hommey <glandium@debian.org>  Wed, 28 May 2025 11:15:15 +0900

firefox (138.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-36, also known as CVE-2025-4920, CVE-2025-4921.

 -- Mike Hommey <glandium@debian.org>  Sun, 18 May 2025 06:50:18 +0900

firefox (138.0.3-1) unstable; urgency=medium

  * New upstream release.

  * debian/browser.mozconfig.in, debian/rules: Disable wasm sandboxing on big
    endian architectures. Thanks John Paul Adrian Glaubitz. Closes: #1105086
  * debian/rules: Force-use BFD ld on ppc64. Closes: #1105090

 -- Mike Hommey <glandium@debian.org>  Wed, 14 May 2025 05:53:10 +0900

firefox (138.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 02 May 2025 10:00:46 +0900

firefox (138.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-28, also known as:
    CVE-2025-4083, CVE-2025-4085, CVE-2025-4087, CVE-2025-4088,
    CVE-2025-4089, CVE-2025-4091, CVE-2025-4092.

  * debian/control*: Bump nss and cbindgen build dependencies.
  * debian/browser.install.in: Don't install now removed
    /usr/lib/firefox/browser/features.

  * build/moz.configure/bindgen.configure: Relax cbindgen build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Apr 2025 09:50:07 +0900

firefox (137.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-25, also known as CVE-2025-3608.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Apr 2025 07:22:29 +0900

firefox (137.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Apr 2025 05:17:00 +0900

firefox (137.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-20, also known as:
    CVE-2025-3028, CVE-2025-3031, CVE-2025-3032, CVE-2025-3029,
    CVE-2025-3035, CVE-2025-3030, CVE-2025-3034.

  * debian/control*: Bump nss and rustc build dependencies.
  * debian/browser.dirs.in, debian/browser.links.in, debian/rules: Move
    desktop icons to /usr/share/icons/hicolor/* and symlink them from
    /usr/lib/$browser/browser/chrome/icons/default.
  * debian/browser.install.in: Remove libipcclientcerts.so and libnssckbi.so.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Apr 2025 06:09:15 +0900

firefox (136.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 26 Mar 2025 05:43:49 +0900

firefox (136.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Mar 2025 04:50:38 +0900

firefox (136.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Mar 2025 05:29:58 +0900

firefox (136.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-15, also known as:
    CVE-2025-1931, CVE-2025-1932, CVE-2025-1933, CVE-2025-1934,
    CVE-2025-1942, CVE-2025-1935, CVE-2025-1936, CVE-2025-1937,
    CVE-2025-1938, CVE-2025-1943.

  * debian/control*: Bump nss build dependency.

  * js/src/xsum/moz.build: Disable format-security warning when disabling
    format warning.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Mar 2025 07:17:24 +0900

firefox (135.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Feb 2025 05:34:58 +0900

firefox (135.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-07, also known as:
    CVE-2025-1009, CVE-2025-1010, CVE-2025-1018, CVE-2025-1011,
    CVE-2025-1012, CVE-2025-1019, CVE-2025-1013, CVE-2025-1014,
    CVE-2025-1016, CVE-2025-1017, CVE-2025-1020.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Feb 2025 06:42:43 +0900

firefox (134.0.2-3) unstable; urgency=medium

  * mozglue/misc/StackWalk.cpp: Work around glibc issue leading to crash in
    _Unwind_Backtrace on aarch64 linux with PAC. bz#1944461. Closes: #1094429.

 -- Mike Hommey <glandium@debian.org>  Thu, 30 Jan 2025 05:53:20 +0900

firefox (134.0.2-2) unstable; urgency=medium

  * gfx/cairo/libpixman/src/moz.build: Don't use clang clang's integrated
    assembler to compile pixman ARM neon code.
  * gfx/ycbcr/yuv_convert_arm.cpp: Move the .fpu neon directive around.
  * third_party/wasm2c/src/prebuilt/wasm2c_simd_source_declarations.cc,
    third_party/wasm2c/src/prebuilt/wasm2c_source_declarations.cc: Apply
    wasm2c upstream fix for clang targetting mips.

