=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 $(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
 $(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
 $(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
+$(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))
 
 PYTHON := PYTHONDONTWRITEBYTECODE=y python3
 
@@ -26,7 +27,7 @@
 ifeq (,$(filter bullseye,$(DIST)))
 SYSTEM_LIBS += nspr vpx
 endif
-ifeq (,$(filter bullseye bookworm,$(DIST)))
+ifeq (,$(filter bullseye bookworm trixie,$(DIST)))
 SYSTEM_LIBS += nss
 endif
 
@@ -111,6 +112,9 @@
 endif
 ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
 	CONFIGURE_FLAGS += --disable-webrtc
+endif
+ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
+	CONFIGURE_FLAGS += --enable-linker=bfd
 endif
 
 ifeq (default,$(origin CC))
@@ -185,7 +189,7 @@
 stamps/mozbuild-state::
 	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build -c ""
 
-$(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST MOZ_ENABLE_V4L2 CRASH_REPORTER DEB_HOST_ARCH
+$(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST MOZ_ENABLE_V4L2 CRASH_REPORTER DEB_HOST_ARCH DEB_HOST_ARCH_ENDIAN
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
 $(PREPROCESSED_FILES):
 	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@
@@ -204,7 +208,3 @@
 		} else { \
 			split($$2,var,"="); \
 			cmd = "grep -l " var[1] " " confs; \
-			cmd | getline dir; \
-			sub(/\/[^\/]*$$/, "", dir); \
-			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
-			cmd | getline value; \
